pub struct UiBrowserOpenResponse {
pub pane: String,
}Expand description
Response for POST /api/v1/ui/browser/open: the new pane’s block id,
which the Browser* and UI* tools take as pane.
Fields§
§pane: StringTrait Implementations§
Source§impl Clone for UiBrowserOpenResponse
impl Clone for UiBrowserOpenResponse
Source§fn clone(&self) -> UiBrowserOpenResponse
fn clone(&self) -> UiBrowserOpenResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for UiBrowserOpenResponse
impl Debug for UiBrowserOpenResponse
Source§impl<'de> Deserialize<'de> for UiBrowserOpenResponse
impl<'de> Deserialize<'de> for UiBrowserOpenResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for UiBrowserOpenResponse
impl RefUnwindSafe for UiBrowserOpenResponse
impl Send for UiBrowserOpenResponse
impl Sync for UiBrowserOpenResponse
impl Unpin for UiBrowserOpenResponse
impl UnsafeUnpin for UiBrowserOpenResponse
impl UnwindSafe for UiBrowserOpenResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more